/**
 * 
 */
package actionexpr;

import org.antlr.v4.runtime.CharStream;
import org.antlr.v4.runtime.CharStreams;
import org.antlr.v4.runtime.CommonTokenStream;

import rows.RowsLexer;
import rows.RowsParser;

/**
 * @author luca
 *
 */

import org.antlr.v4.runtime.CharStreams;
import org.antlr.v4.runtime.CharStream;
import org.antlr.v4.runtime.CommonTokenStream;

public class ActionCalc {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {
	    CharStream input = CharStreams.fromStream(System.in);
        RowsLexer lexer = new RowsLexer(input);
        CommonTokenStream tokens = new CommonTokenStream(lexer);
        ActionExprParser parser = new ActionExprParser(tokens); 
        parser.prog(); // parse

	}

}
